Bug 396911 - mii-tool reports "no link" when link is present with xirc2ps_cs
mii-tool reports "no link" when link is present with xirc2ps_cs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 10:28 EST by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make it possible to configure the interface to ignore link tests (377 bytes, patch)
2007-11-23 10:43 EST, Lubomir Kundrak
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2007-11-23 10:28:42 EST
Description of problem:

Link is present, network works, just I am unable to enable the Xircom CreditCard
ethernet interface with ifup, because mii-tool reports "no link"

Version-Release number of selected component (if applicable):

Basically all kernels I tried since FC6 to 2.6.23

Steps to Reproduce:
1. /sbin/mii-tool eth0
  
Actual results:

eth0: 10 Mbit, half duplex, no link

Additional info:

If this is not going to be fixed, this should get reassigned to initscripts and
we should modify the check_link_down() to make it possible to override what it
gets from ethtool amd miitool.

It also might be that my hardware is broken, it looks .... old and used. But
that's unlikely :)
Comment 1 Lubomir Kundrak 2007-11-23 10:43:39 EST
Created attachment 267641 [details]
Patch to make it possible to configure the interface to ignore link tests

adding ASSUMELINK=yes to ifcfg-eth* will ignore results of the link test,
usable in case {mii-,eth}tool gives false results.
Comment 2 Bug Zapper 2008-05-13 23:59:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:13:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:40:03 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.